<?php

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title'] = 'Улов рыбки)';
include_once 'sys/inc/thead.php';
title();
err();



$icon_path = empty( $set['set_them'] ) ? '/img/' : 'style/themes/' . $set['set_them'] . '/icons/';

$unic_code = intval( $_GET['unic_code'] );

if ( $unic_code == $_SESSION['unic_code'] and $_SESSION['unic_code'] != '' ){
if ( isset( $user['id'] )) {       


if($user['extra_ball'] == 0 or $user['extra_ball'] == ''){ $user['extra_ball'] = 1; }

if(time() > $user[is_time]){


echo ' Поздравляем! Вы поймали рыбку!';

$is_time = time() + 5;
$is_str = $user[is_str] . " | " . $_SESSION[is_str];


		mysql_query( "UPDATE `user` SET  `is_str` = '$is_str', `is_time` = '$is_time', extra_ball=extra_ball+1 WHERE `id` = '$user[id]' LIMIT 1" );
		$_SESSION['unic_code'] = rand( 1111, 9999 );
}else{

echo'Попытка накрутки системы. В получении рыбки отказано.';

}


} else { echo'Вы незарегистрированны и для вас эта функция недоступна.';} 

} else { echo'Ошибка! Ссылка по которой вы прешли не являеться уникальной!'; } 


include_once 'sys/inc/tfoot.php';

?>